function calculateInvestment() {
  const initial = parseFloat(document.getElementById('initial').value);
  const monthly = parseFloat(document.getElementById('monthly').value);
  const years = parseFloat(document.getElementById('years').value);
  const rate = parseFloat(document.getElementById('rate').value) / 100;
  
  const monthlyRate = rate / 12;
  const months = years * 12;
  
  let total = initial;
  for (let i = 0; i < months; i++) {
    total += monthly;
    total *= (1 + monthlyRate);
  }
  
  const interest = total - (initial + (monthly * months));
  
  const resultHTML = `
    <h3>Investment Results</h3>
    <p>Future Value: $${total.toFixed(2)}</p>
    <p>Total Contributions: $${(initial + (monthly * months)).toFixed(2)}</p>
    <p>Total Interest Earned: $${interest.toFixed(2)}</p>
  `;
  
  document.getElementById('result').innerHTML = resultHTML;
}

// Add smooth scrolling for navigation links
document.querySelectorAll('a[href^="#"]').forEach(anchor => {
  anchor.addEventListener('click', function (e) {
    e.preventDefault();
    document.querySelector(this.getAttribute('href')).scrollIntoView({
      behavior: 'smooth'
    });
  });
});
